[PATCH 1/1] UBUNTU: SAUCE: rtl8192se: Force a build for a 2.6/3.0 kernel

Andy Whitcroft apw at canonical.com
Mon Jul 4 14:22:13 UTC 2011


From: Tim Gardner <tim.gardner at canonical.com>

BugLink: http://bugs.launchpad.net/bugs/805494

The makefile for this module is hideaous. It checkes the build host kernel
version in order to determine which driver version should be built. Since
we know it will only _ever_ be built for 2.6/3.0, then just shortcut
the ifeq().

Signed-off-by: Tim Gardner <tim.gardner at canonical.com>
Signed-off-by: Andy Whitcroft <apw at canonical.com>
---
 ubuntu/rtl8192se/Makefile |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/ubuntu/rtl8192se/Makefile b/ubuntu/rtl8192se/Makefile
index 0f2c735..6ad0730 100755
--- a/ubuntu/rtl8192se/Makefile
+++ b/ubuntu/rtl8192se/Makefile
@@ -4,7 +4,7 @@ CC = gcc
 KVER  := $(shell uname -r)
 MODDESTDIR := /lib/modules/$(KVER)/kernel/drivers/net/wireless/
 
-ifeq ($(shell uname -r|cut -d. -f1,2), 2.6)
+ifeq (1,1)
 ###################### KERNEL 2.6 ################################
 ifeq ($(NIC_SELECT),RTL8192CE)
 sub_folder = rtl8192c
-- 
1.7.4.1




More information about the kernel-team mailing list